Bug 79245 - Web Inspector: in start-at-zero mode of timeline panel, calculate window boundaries based on filtered events
: Web Inspector: in start-at-zero mode of timeline panel, calculate window boun...
Status: RESOLVED FIXED
: WebKit
Web Inspector (Deprecated)
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-02-22 08:46 PST by
Modified: 2012-05-17 07:45 PST (History)


Attachments
Patch (2.99 KB, patch)
2012-02-22 08:47 PST, Andrey Kosyakov
no flags Review Patch | Details | Formatted Diff | Diff
Patch (14.70 KB, patch)
2012-02-24 04:37 PST, Andrey Kosyakov
pfeldman: review-
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-02-22 08:46:44 PST
Only include records in selection window when calculating event boundaries (i.e. pick scale according to visible events).
------- Comment #1 From 2012-02-22 08:47:41 PST -------
Created an attachment (id=128223) [details]
Patch
------- Comment #2 From 2012-02-22 08:50:05 PST -------
(From update of attachment 128223 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=128223&action=review

> Source/WebCore/inspector/front-end/TimelinePanel.js:748
> +        if (!this._boundariesAreValid && !this._startAtZero)

This looks like a hack, we should come up with a better filtering strategy.
------- Comment #3 From 2012-02-24 04:37:44 PST -------
Created an attachment (id=128708) [details]
Patch
------- Comment #4 From 2012-02-24 04:53:29 PST -------
(From update of attachment 128708 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=128708&action=review

> Source/WebCore/inspector/front-end/TimelineOverviewPane.js:161
> +        this._presentationModel.setWindowTimes(leftTime, rightTime);

setWindowTimes -> setVisibleRecords (range)
------- Comment #5 From 2012-05-17 07:45:59 PST -------
This has been fixed by another change and works well now.